Page MenuHomePhabricator

cloudvps: design project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the design project needs to upgrade as soon as possible.

The list of affected VMs is:

  • design-lsg3.design.eqiad.wmflabs
  • living-style-guide.design.eqiad.wmflabs
  • lsg-01.design.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/design

Event Timeline

aborrero triaged this task as Medium priority.Sep 17 2018, 12:21 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 12:21 PM
aborrero removed aborrero as the assignee of this task.Sep 17 2018, 12:37 PM

It is news to me that I am an administrator of some instances. I don't know what to do about this, sorry.

matmarex updated the task description. (Show Details)Sep 17 2018, 1:05 PM
matmarex removed a subscriber: matmarex.

I think these are safe to get rid of. @Volker_E should we just delete them?

Krenair assigned this task to Volker_E.Oct 22 2018, 1:45 PM
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.

Hey @Volker_E! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

@Volker_E, could you confirm that the above VMs are safe to delete. I don't think we need them any more.

I've got no idea what's on those three instances currently and the last time I knowingly directly connected to one was living-style-guide.design.eqiad.wmflabs about 3 years ago?

Another ping. Deadline is approaching (2018-12-18).

@aborrero As I've stated in my comment, I'd either need guidance on connecting to these instances or to get a file backup bundle to make an informed decision.

bd808 added a subscriber: bd808.EditedNov 20 2018, 9:53 PM

@aborrero As I've stated in my comment, I'd either need guidance on connecting to these instances or to get a file backup bundle to make an informed decision.

They should be accessible via ssh to any member of the project. I took a quick look to see if their function was obvious:

  • design-lsg3.design.eqiad.wmflabs
    • Originally created by @Spage which may be a sign that it is old and unused.
    • Has role::labs::mediawiki_vagrant applied
    • /srv/mediawiki-vagrant clone that is 3 years out of date and no roles enabled
  • living-style-guide.design.eqiad.wmflabs
    • Originally created by @werdna
    • Has role::deprecated::labsvagrant applied
    • Vagrant roles livingstyleguide, simple_performant, and visualeditor enabled
  • lsg-01.design.eqiad.wmflabs
    • Originally created by @yuvipanda
    • Has role::labs::mediawiki_vagrant applied
    • Vagrant roles livingstyleguide and simple_performant enabled
    • /srv/mediawiki-vagrant clone that is 2 years out of date
    • https://lsg.wmflabs.org/ points at this instance

Ping. Today is Friday and the deadline is Tuesday.

@aborrero As I've stated in my comment, I'd either need guidance on connecting to these instances or to get a file backup bundle to make an informed decision.

Nothing has changed since my last comment, even with @bd808's hints. I have good feelings about what's in there, but really relieving would be to either connect to them and have a look (which I had several issues with already in the past and the credentials are probably vanished) or to get file/db backups.
If those instances just disappear on Tuesday, World will not be on fire though.

Nothing has changed since my last comment, even with @bd808's hints. I have good feelings about what's in there, but really relieving would be to either connect to them and have a look (which I had several issues with already in the past and the credentials are probably vanished) or to get file/db backups.

@Volker_E it is not clear to me what guidance you need to use your ssh credentials to access these instances. We have general documentation on using ssh to access instances on wikitech. Your VolkerE/volker-e developer account has two ssh public keys attached to it. You can see the key details and add a new key if needed at https://wikitech.wikimedia.org/wiki/Special:Preferences#mw-prefsection-openstack when logged in. You can also join the #wikimedia-cloud irc channel and ask for interactive debugging help getting your ssh sessions working.

@Volker_E: Today is the deadline.

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

design-lsg3, living-style-guide, and lsg-01 should be shut down today

Mentioned in SAL (#wikimedia-cloud) [2019-01-21T16:36:44Z] <gtirloni> T204502 shutdown ubuntu VMs: design-lsg3, living-style-guide, lsg-01

aborrero closed this task as Resolved.Feb 12 2019, 4:29 PM
Krenair reopened this task as Open.Mar 1 2019, 12:07 AM
Krenair added a subscriber: GTirloni.

@GTirloni @aborrero It seems living-style-guide and lsg-01 still exist, and also lsg-01 is actually running.

Mentioned in SAL (#wikimedia-cloud) [2019-03-01T10:43:22Z] <arturo> T204502 shutdown lsg-01 instance (was active by mistake due to workload reallocation) Will be deleted soon anyway

Mentioned in SAL (#wikimedia-cloud) [2019-03-14T23:20:47Z] <bd808> Deleted living-style-guide and lsg-01 (T204502)

bd808 closed this task as Resolved.Mar 14 2019, 11:21 PM